Subject: Re: bug#75961: set-auto-mode--apply-alist

From: Stefan Monnier <[email-masked]>
Date: Sun, 16 Feb 2025 11:54:36 -0500

> I'm not an expert, but the supplied test doesn't appear to check that
> text-mode is actually called when the mode falls through.  I suspect
> that test would succeed even if you didn't make any change to
> set-auto-mode--apply alist,

The test does fail in Emacs-30 because `foo.text` is left in
`fundamental-mode` there, so it is useful.

But you're right that in the case of `foo.html.text` I did not bother to
check if `text-mode` was called before calling the html mode.
I pushed the patch with an improved test which fixes that weakness, thanks.

BTW, I pushed this to `master`, but as mentioned the bug is present in
Emacs-30 as well.  Not sure it's worth taking the risk in `emacs-30`.

        Stefan